Summary:	MSVSphere configuration files
Name:		msvsphere-configs
Version:	0.1.5
Release:	1%{?dist}

License:	GPLv3+
URL:		http://msvsphere.ru
Source0:	https://github.com/reverbrain/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.xz

BuildArch:	noarch

%description
Various system configurations for MSVSphere

%package common
Summary:	Configuration files for MSVSphere
Requires:	fontconfig-font-replacements
Requires:	fontconfig-enhanced-defaults
Requires:	google-roboto-condensed-fonts

%description common
This package contains common configuration files

%package gnome
Summary:	Configuration files for GNOME desktop
Requires:	glib2
Requires:	%{name}-common = %{version}-%{release}
Requires:	gnome-shell-extension-arcmenu
Requires:	gnome-shell-extension-dash-to-panel
Requires:	gnome-shell-extension-appindicator
Requires:	gnome-shell-extension-desktop-icons
Requires:	gnome-shell-extension-top-icons
Requires:	gnome-shell-extension-drive-menu
Requires:	kora-icon-theme
Requires(post): gdm

%description gnome
This package contains configuration files for GNOME

%prep
%autosetup -n %{name}-src

%build

%install
install -d %{buildroot}%{_datadir}/glib-2.0/schemas
install -m644 schemas-override/*.gschema.override %{buildroot}%{_datadir}/glib-2.0/schemas

%post gnome
glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1

# fixme (disable xorg by default)
sed -i 's@#WaylandEnable=false@WaylandEnable=false@' /etc/gdm/custom.conf

%postun gnome
glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1


%files gnome
%doc README.md
%{_datadir}/glib-2.0/schemas/*.gschema.override

%files common
%doc README.md

%changelog
* Sun Jul 16 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.5-1
- update to 0.1.5
- enable tap-to-click on touchpad

* Fri Jul  7 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.4-1
- update to 0.1.4
- set Source Code Pro 11 as monospace-font-name

* Fri Jul  7 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.3-1
- update to 0.1.3
- add chromium to favorites
- fix keyboard layout
- disable wayland by default

* Wed Jun 28 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.2-1
- update to 0.1.2
- added no-overview@fthx extension

* Tue Jun 27 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1.1-1
- update to 0.1.1
- drop org.gnome.Terminal.gschema.override

* Tue Jun 20 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 0.1-1
- initial build for MSVSphere 9.2
